Unit tzf20e_p;
interface
uses
SysUtils, Math, LStruct, Lfunc, UtRes_p, FZF20D_p, ZF20E_p;

function tzf20e: String; 

implementation

function tzf20e: String;
var
ITMAX,IERR :Integer;
A,B,EPS,ROOT :Extended;
begin
Result := '';
A := -2.57e0;
B := 1.57e0;
EPS := 1.e-5;
ITMAX := 30;
ZF20E(FZF20D,A,B,EPS,ROOT,ITMAX,IERR);
Result := Result + Format('%20.16f %5d %5d ',[ROOT,_ZF20RR.elm1,IERR])
+ #$0D#$0A;
UtRes('tzf20e',Result);  //    tzf20e.res
exit;
end;

end.
